Bug 1000978 - Unnecessary message shows when check the status of python2.7/python2.6 cartridge
Unnecessary message shows when check the status of python2.7/python2.6 cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 04:56 EDT by Lei Zhang
Modified: 2015-05-14 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:48:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lei Zhang 2013-08-26 04:56:39 EDT
Description of problem:
Given one python app create(e.g., mypytyhon26), check the status of python cartridge, unnecessary message shows
[rayzhang@rayzhang Work]$ rhc cartridge status -a mypython26 -c python-2.6 
RESULT:
Application is running
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
116   233  116   233    0     0  37042      0 --:--:-- --:--:-- --:--:--     0
Total Accesses: 1117
Total kBytes: 5703
CPULoad: .18669
Uptime: 2239
ReqPerSec: .498883
BytesPerSec: 2608.25
BytesPerReq: 5228.18
BusyWorkers: 1
IdleWorkers: 1
Scoreboard: W_..........................................................


Version-Release number of selected component (if applicable):
STG(devenv_stage-457)
rhc-1.13.6

How reproducible:
always

Steps to Reproduce:
1. create one python app
#rhc app create mypython26 python-2.6
2. check the status of python cartridge 
#rhc cartridge status -a mypytyhon26 -c python-2.6
3.

Actual results:
Unnecessary message shows when check the status of python cartridge

Expected results:
Just status info should display

Additional info:
Comment 1 Michal Fojtik 2013-08-26 10:49:08 EDT
https://github.com/openshift/origin-server/pull/3498
Comment 2 openshift-github-bot 2013-09-03 12:12:59 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/d50f3c2722bb6e1e00493d62ced5b19f5c757bc9
Bug 1000978 - Make curl more silent when fetching status of python cartridge
Comment 3 Lei Zhang 2013-09-04 22:50:41 EDT
Verified on devenv_3745

[rayzhang@ray Work]$ rhc cartridge stop -a  mypython27 -c python-2.7;
Stopping python-2.7 ... done
[rayzhang@ray Work]$ rhc cartridge status -a  mypython27 -c python-2.7;
RESULT:
Application is either stopped or inaccessible
[rayzhang@ray Work]$ rhc cartridge start -a  mypython27 -c python-2.7;
Starting python-2.7 ... done
[rayzhang@ray Work]$ rhc cartridge status -a  mypython27 -c python-2.7;
RESULT:
Application is running
Total Accesses: 0
Total kBytes: 0
Uptime: 73
ReqPerSec: 0
BytesPerSec: 0
BusyWorkers: 1
IdleWorkers: 0
Scoreboard: W...........................................................


[rayzhang@ray Work]$ rhc cartridge stop -a mypython26 -c python-2.6 
Stopping python-2.6 ... done
[rayzhang@ray Work]$ rhc cartridge status -a mypython26 -c python-2.6 
RESULT:
Application is either stopped or inaccessible
[rayzhang@ray Work]$ rhc cartridge start -a mypython26 -c python-2.6 
Starting python-2.6 ... done
[rayzhang@ray Work]$ rhc cartridge status -a mypython26 -c python-2.6 
RESULT:
Application is running
Total Accesses: 0
Total kBytes: 0
Uptime: 44
ReqPerSec: 0
BytesPerSec: 0
BusyWorkers: 1
IdleWorkers: 0
Scoreboard: W...........................................................
Comment 4 Michal Fojtik 2013-09-12 05:47:46 EDT
Sorry, my bugzilla script screwed this ;-)

Note You need to log in before you can comment on or make changes to this bug.